CREATE TABLE fun_frc_search_entities (
    ENTITY_ID                 NUMBER(18, 0) ,
    ENTITY_TYPE_CODE          VARCHAR2(200)     NOT NULL,
    ENTITY_TYPE_ID            NUMBER            NOT NULL,
    ENTITY_LANGUAGE           VARCHAR2(16)      NOT NULL,
    ENTITY_ATTRIBUTE          VARCHAR2(1600),
    ENTITY_ATTRIBUTE_DESC1    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC2    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC3    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC4    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC5    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC6    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC7    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC8    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC9    VARCHAR2(4000),
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    ENTITY_ID                 NUMBER(18, 0) ,
    ENTITY_TYPE_CODE          VARCHAR2(200)     NOT NULL,
    ENTITY_TYPE_ID            NUMBER            NOT NULL,
    ENTITY_LANGUAGE           VARCHAR2(16)      NOT NULL,
    ENTITY_ATTRIBUTE          VARCHAR2(1600),
    ENTITY_ATTRIBUTE_DESC1    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC2    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC3    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC4    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC5    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC6    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC7    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC8    VARCHAR2(4000),
    ENTITY_ATTRIBUTE_DESC9    VARCHAR2(4000),
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CONSTRAINT pk_fun_frc_search_entities PRIMARY KEY (ENTITY_ID, ENTITY_ID)
);
